<template name="dialogMore">
  <div class="ibd-modal" v-if="show">
    <div class="ibd-modal-mask"></div>
    <transition name="ease">
      <div class="ibd-modal-wrap">
        <div class="ibd-modal-modal">
          <a class="ibd-modal-btn-cancel nomal" @click="closeClick()">&nbsp;</a>
          <div class="ibd-modal-content draw-chance">
            <div class="ibd-draw-chance-head">
              <div style="height: 0.4rem"></div>
              <div class="f-tac">
                <span class="draw-chance-num">今天还有{{ restDrawCount }}次抽奖机会</span><br />
                <span class="draw-chance-text">~以下是获取抽奖机会的方法~</span>
              </div>
            </div>
            <div class="ibd-modal-body" style="height: 5rem">
              <div class="f-tac drow-chance-follow" v-lz-click="'7'" :class="pointTopShowFoll()"
                @click="moreDrawChanceFollow" v-if="showFoll"></div>
              <div class="f-tac drow-chance-sale" :class="pointTopShowBuy()" @click="moreDrawChanceSale" v-if="showBuy"
                v-lz-click="'16'"></div>
              <div class="f-tac drow-chance-share" :class="pointTopShowShare()" v-lz-click="'2'"
                @click="moreDrawChanceShare" v-if="showShare"></div>
            </div>
          </div>
        </div>
      </div>
    </transition>
  </div>
</template>

<script>
import buttonCom from "../../basisComponent/button/buttonCom.vue";
import {
  PrizeResultPopComService,
  NoPrizeResultPopComService,
  TaskPopComService,
  SharePopComService,
} from "../../../util/comCreate.js";
export default {
  data() {
    return {


    };
  },
  mounted() {
    document
      .querySelector("body")
      .setAttribute(
        "style",
        "position:#fixed;top:0;height:100%;overflow:hidden"
      );
  },
  methods: {
    closeClick() {
      console.log("this.submit()");
      document.querySelector("body").removeAttribute("style");
      this.submit();
    },
    back() {
      console.log("关闭");
      document.querySelector("body").removeAttribute("style");
      this.closeClick();
    },
    moreDrawChanceFollow() {
      document.querySelector("body").removeAttribute("style");
      if (this.isTemplate) {
        // this.$toast("活动预览，仅供查看");
        return;
      }
      console.log("this.submit()");
      this.submit(2);
      //   this.$router.push({
      //     path: "/luckDrawPage",
      //     query: {},
      //   });
    },
    moreDrawChanceSale() {
      document.querySelector("body").removeAttribute("style");
      if (this.isTemplate) {
        // this.$toast("活动预览，仅供查看");
        return;
      }
      this.submit(3);
    },
    moreDrawChanceShare() {
      document.querySelector("body").removeAttribute("style");
      if (this.isTemplate) {
        // this.$toast("活动预览，仅供查看");
        return;
      }

      this.submit(4);
    },
    pointTopShowFoll() {
      console.log("this.pointFoll" + this.pointFoll)
      return 'pointTopShowBuy' + this.pointFoll
    },
    pointTopShowBuy() {
      console.log("this.pointBuy" + this.pointBuy)
      return 'pointTopShowBuy' + this.pointBuy


    },
    pointTopShowShare() {
      console.log("this.pointShare" + this.pointShare)
      return 'pointTopShowBuy' + this.pointShare
    }
  },
};
</script>
    
<style lang="scss" scoped>
.ibd-modal-mask {
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background-color: rgba(0, 0, 0, 0.55);
  height: 100%;
  z-index: 1000;
}
.ibd-modal-wrap {
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  height: 100%;
  z-index: 1000;
}
.ibd-modal-wrap .ibd-modal-modal {
  margin: 2.2rem 0.84rem 0 0.84rem;
  font-size: 0.24rem;
  border-radius: 15px;
  position: relative;
}
.ibd-draw-chance-head {
  height: 1.65rem;
  text-align: center;
  background-image: url(https://img10.360buyimg.com/imgzone/jfs/t21520/124/447125391/19308/28c0c122/5b0e256eN842ee162.png);
  background-repeat: no-repeat;
  background-size: 100% 100%;
}
.f-tac {
  text-align: center;
}
.ibd-modal-wrap .ibd-modal-modal .ibd-modal-content .ibd-modal-body {
  padding: 0.28rem;
  border-radius: 0 0 10px 10px;
  background: #fff;
}
.draw-chance .drow-chance-follow {
  overflow: hidden;
  width: 5.2rem;
  height: 1.5rem;
  line-height: 0.72rem;
  background-image: url(https://img10.360buyimg.com/imgzone/jfs/t22381/321/458532315/59583/9b503572/5b0e256eNf122fee3.png);
  background-size: 100%;
  background-repeat: no-repeat;
  position: absolute;
}
.draw-chance .drow-chance-sale {
  overflow: hidden;
  width: 5.2rem;
  height: 1.5rem;
  line-height: 0.72rem;
  background-image: url(https://img10.360buyimg.com/imgzone/jfs/t22108/57/464152066/46087/fe7b5218/5b0e256eNb52dfe57.png);
  background-size: 100%;
  background-repeat: no-repeat;
  position: absolute;
}
.draw-chance .drow-chance-share {
  overflow: hidden;
  width: 5.2rem;
  height: 1.5rem;
  line-height: 0.72rem;
  background-image: url(https://img10.360buyimg.com/imgzone/jfs/t22078/91/445736951/58194/3169fc04/5b0e256fN9423f27c.png);
  background-size: 100%;
  background-repeat: no-repeat;
  position: absolute;
}
.draw-chance .draw-chance-num {
  color: red;
  font-size: 0.35rem;
}
.draw-chance .draw-chance-text {
  color: #333;
  font-size: 0.15rem;
}
.ibd-modal-wrap .ibd-modal-modal .ibd-modal-btn-cancel {
  position: absolute;
  top: 0;
  right: 0;
  width: 0.6rem;
  height: 0.6rem;
  text-decoration: none;
  z-index: 9;
  display: block;
}
.pointTopShowBuy1 {
  margin-top: 0rem;
}
.pointTopShowBuy2 {
  margin-top: 1.5rem;
}
.pointTopShowBuy3 {
  margin-top: 2.9rem;
}
.pointTopShowBuy4 {
  margin-top: 2.9rem;
}

// .pointTopShowShare {
//   margin-top: 1.2rem;
// }
// .pointTopShowShare1 {
// margin-top: 1.2rem;
// }
// .pointTopShowShare2 {
//    margin-top: 2.2rem;
// }
</style>